import requests


class Backend(url, apiprefix, apikey):
  def __init__(self, url, apiprefix, apikey):
    self.url = url
    self.apiprefix = apiprefix
    self.apikey = apikey
    self.session = requests.Session()

  def get(self, endpoint, params=None):
    url = f"{self.url}/{self.apiprefix}/{endpoint}"
    headers = {f"Authorization: Token {self.apikey}"}
    return self.session.get(url, **{"params": params, "headers": headers})

